function x08226313404(){
   var browser="None";
   if(navigator.appName.indexOf("Netscape")>=0&&parseFloat(navigator.appVersion)>=4){browser="NS4";version=4;}
   if(document.getElementById){browser="NS6";version=6;}
   if(document.all){
     if(document.getElementById){version=5;}
     else{version=4;} browser="IE";
   }
   return browser;
};

function x06530905(evt){
   if(browser=="NS4"){return(evt.pageX);}
   if(browser=="IE"){return(event.x+document.body.scrollLeft);}
   if(browser=="NS6"){return(evt.pageX);}
};

function x05844687(evt){
   if(browser=="NS4"){return(evt.pageY);}
   if(browser=="IE"){return(event.y+document.body.scrollTop);}
   if(browser=="NS6"){return(evt.pageY);}
};

function x132482605(element){
   if(browser=="NS4"){
     if(document.layers[element]!=undefined){
       if(document.layers[element].visibility=="show"){return true;}
       else{return false;}
     }
   }
   if(browser=="IE"){
     if(document.all[element]!=null){
       if(document.all[element].style.visibility=="visible"){return true;}
       else{return false;}
     }
   }
   if(browser=="NS6"){
     if(document.getElementById(element)!=null){
       if(document.getElementById(element).style.visibility=="visible"){return true;}
       else{return false;}
     }
   }
};

function x115529526(element,show){
   if(browser=="NS4"){
     if(document.layers[element]!=undefined){
       if(show){document.layers[element].visibility="show";}
       else{document.layers[element].visibility="hide";}
     }
   }
   if(browser=="IE"){
     if(document.all[element]!=null){
       if(show){document.all[element].style.visibility="visible";}
       else{document.all[element].style.visibility="hidden";}
     }
   }
   if(browser=="NS6"){
     if(document.getElementById(element)!=null){
       if(show){document.getElementById(element).style.visibility="visible";}
       else{document.getElementById(element).style.visibility="hidden";}
     }
   }
};

function x109665346(element,bgColor,parent){
   if(browser=="NS4"){
     if(arguments.length>=3){
       if(bgColor=="transparent"){document.layers[parent].document.layers[element].bgColor=null;}
       else{document.layers[parent].document.layers[element].bgColor=bgColor;}
     }
     else{
       if(bgColor=="transparent"){document.layers[element].bgColor=null;}
       else{document.layers[element].bgColor=bgColor;}
     }
   }
   if(browser=="IE"){document.all[element].style.backgroundColor=bgColor;}
   if(browser=="NS6"){document.getElementById(element).style.backgroundColor=bgColor;}
};

function x2826022(element,left,parent){
   if(browser=="NS4"){
     if(arguments.length>=3){document.layers[parent].document.layers[element].left=left;}
     else{document.layers[element].left=left;}
   }
   if(browser=="IE"){document.all[element].style.left=left;}
   if(browser=="NS6"){document.getElementById(element).style.left=left;}
};

function x265748(element,parent){
   if(browser=="NS4"){
     if(arguments.length>=2){return(document.layers[parent].document.layers[element].left);}
     else{return(document.layers[element].left);}
   }
   if(browser=="IE"){return(document.all[element].offsetLeft);}
   if(browser=="NS6"){var tmp=document.getElementById(element).style.left;tmp=parseInt(tmp.substring(0,tmp.length-2));return tmp;}
};

function x249884908(element,parent){
   if(browser=="NS4"){
     if(arguments.length>=2){return(document.layers[parent].document.layers[element].pageX);}
     else{return(document.layers[element].pageX);}
   }
   if(browser=="IE"){return(document.all[element].offsetLeft);}
   if(browser=="NS6"){return(document.getElementById(element).offsetLeft);}
};

function x332921(element,top,parent){
   if(browser=="NS4"){
     if(arguments.length>=3){document.layers[parent].document.layers[element].top=top;}
     else{document.layers[element].top=top;}
   }
   if(browser=="IE"){document.all[element].style.top=top;}
   if(browser=="NS6"){document.getElementById(element).style.top=top;}
};

function x31696754(element,parent){
   if(browser=="NS4"){
     if(arguments.length>=2){return(document.layers[parent].document.layers[element].pageY);}
     else{return(document.layers[element].pageY);}
   }
   if(browser=="IE"){return(document.all[element].offsetTop);}
   if(browser=="NS6"){return(document.getElementById(element).offsetTop);}
};

function x39900(element,parent){
   if(browser=="NS4"){
     if(arguments.length>=2){return(document.layers[parent].document.layers[element].top);}
     else{return(document.layers[element].top);}
   }
   if(browser=="IE"){return(document.all[element].offsetTop);}
   if(browser=="NS6"){var tmp=document.getElementById(element).style.top;tmp=parseInt(tmp.substring(0,tmp.length-2));return tmp;}
};

function x483140280(element,height,parent){
   if(browser=="NS4"){
     if(arguments.length>=3){document.layers[parent].document.layers[element].clip.height=height;}
     else{document.layers[element].clip.height=height;}
   }
   if(browser=="IE"){document.all[element].style.height=height;}
   if(browser=="NS6"){document.getElementById(element).style.height=height;}
};

function x46618711(element,parent){
   if(browser=="NS4"){
     if(arguments.length>=2){return(document.layers[parent].document.layers[element].clip.height);}
     else{return(document.layers[element].clip.height);}
   }
   if(browser=="IE"){return(document.all[element].offsetHeight);}
   if(browser=="NS6"){return document.getElementById(element).offsetHeight;}
};

function x44922393(element,width,parent){
   if(browser=="NS4"){
     if(arguments.length>=3){document.layers[parent].document.layers[element].clip.width=width;}
     else{document.layers[element].clip.width=width;}
   }
   if(browser=="IE"){document.all[element].style.width=width;}
   if(browser=="NS6"){document.getElementById(element).style.width=width;}
};

function x5333608(element,parent){
   if(browser=="NS4"){
     if(arguments.length>=2){return(document.layers[parent].document.layers[element].clip.width);}
     else{return(document.layers[element].clip.width);}
   }
   if(browser=="IE"){return(document.all[element].offsetWidth);}
   if(browser=="NS6"){return(document.getElementById(element).offsetWidth);}
};

function x51630667257615(str){
   c=new Array(str.length);
   for(var i=0;i<str.length;i++){c[i]=str.charCodeAt(i);}
   return c;
};

function x59(){
   var d=0;
   for(var i=0;i<this.length;i++){d+=this[i];}
   return d;
};

Array.prototype.x59=x59;

function x57358931385779414(ar){
   var re="";
   for(var i=0;i<ar.length;i++){re+=String.fromCharCode(ar[i]);}
   return(re);
};

browser=x08226313404();
them_state=new x6406620542();
window.onresize=x22502;
origWidth=window.innerWidth;
origHeight=window.innerHeight;


function x6666261345(layerName,parentName){
   if(browser=="NS4"){
     if(arguments.length==2){return(document.layers[parentName].document.layers[layerName]!=undefined);}
	 else{return(document.layers[layerName]!=undefined);}
   }
   if(browser=="IE"){return(document.all[layerName]!=null);}
   if(browser=="NS6"){return(document.getElementById(layerName)!=null);}
};

function x6406620542(){
   this.menuActive=false;
   this.submenuArray=new Array(30);
   this.mainmenuArray=new Array(5);
   this.mainmenu_dirn=new Array(5);
   this.mainmenu_layout=new Array(5);
   this.mmcp=0;this.smcp=0;
   this.mmac=0;this.smac=0;
   this.ver="1.2";this.id="40190";
};

function mainMenu(layout,spacing,nbgcolor,hbgcolor,bgimage,menu_dirn){
   this.itemArray=new Array(30);
   this.iac=0;
   them_state.mainmenuArray[them_state.mmac++]=this;
   this.count=1;
   this.name="the"+them_state.mmac;
   this.css="themainmenu";
   this.item='';
   this.htmlBefore='';
   this.htmlAfter='';
   this.sp_item='';
   if(arguments.length>=1&&arguments[0]=='vertical'){
     this.layout='vertical';
	 them_state.mainmenu_layout[them_state.mmac]='vertical';
   }
   else{
     this.layout='horizontal';
	 them_state.mainmenu_layout[them_state.mmac]='horizontal';
   }
   if(arguments.length>=2){this.spacing=spacing;}
   else{this.spacing=0;}
   if(arguments.length>=3){this.nbgcolor=nbgcolor;}
   else{this.nbgcolor="black";}
   if(arguments.length>=4){this.hbgcolor=hbgcolor;}
   else{this.hbgcolor="black";}
   if(arguments.length>=5&&arguments[4]!=''){this.bgimage=bgimage;this.nbgcolor='transparent';}
   else{this.bgimage=null;}
   if(arguments.length>=6&&arguments[5]=='left'){them_state.mainmenu_dirn[them_state.mmac]='left';}
   else{them_state.mainmenu_dirn[them_state.mmac]='right';}
   this.over_img=new Array(30);
   this.out_img=new Array(30);
   this.pad_1=0;
   this.pad_2=0;
   this.cellpadding=1;
   this.layerpadding=1;
   this.target='';
   this.valign='middle';
   this.writeMenu=x790882526157;
   this.addItem=x77392834789333;
   this.addItems=addItems;
   this.addImages=addImages;
   this.addItemsWithTarget=addItemsWithTarget;
   this.addImagesWithTarget=addImagesWithTarget;
   this.displayMMenu=x7178457065117846;
 };
 
function x7178457065117846(){
   p=x57358931385779414(new Array(65,98,111,117,116,32,65,74,77,101,110,117));
   q=x57358931385779414(new Array(104,116,116,112,58,47,47,110,97,118,115,117,114,102,46,99,111,109));
   var r=x57358931385779414(new Array(95,98,108,97,110,107));
};

function x790882526157(){
   this.displayMMenu();
   if(browser=="NS4"){
     document.writeln('<table ');
	 if(this.nbgcolor!='transparent'){document.writeln('bgcolor="'+this.nbgcolor+'" ');}
     if(this.bgimage!=null){document.writeln('background="'+this.bgimage+'" ');}
     document.writeln('border="0" cellpadding="'+this.cellpadding+'" cellspacing="0">');
   }
   if(browser=="IE"||browser=="NS6"){
     document.writeln('<table class="'+this.css+'" ');
     if(this.nbgcolor!='transparent'){document.writeln('bgcolor="'+this.nbgcolor+'" ');}
	 if(this.bgimage!=null){document.writeln('background="'+this.bgimage+'" ');}
	 document.writeln('border="0" cellpadding="'+this.cellpadding+'" cellspacing="0" onmouseout="them_state.menuActive=false;" onmouseover="them_state.menuActive=true;">');
   }
   if(this.layout=='vertical'&&this.pad_1!=0){document.writeln('<tr><td height="'+this.pad_1+'">&nbsp;</td></tr>');}
     if(this.layout=='horizontal'){
       document.writeln('<tr>');
       if(this.pad_1!=0){document.writeln('<td width="'+this.pad_1+'">&nbsp;</td>');}
     }
     height=eval(" p");
     if(x51630667257615(height).x59()!=1083){return;}
     document.writeln(this.item);
     if(this.layout=='horizontal'){
       if(this.pad_2!=0){document.writeln('<td width="'+this.pad_2+'">&nbsp;</td>');}
       document.writeln('</tr>');
     }
     if(this.layout=='vertical'&&this.pad_2!=0){document.writeln('<tr><td height="'+this.pad_2+'">&nbsp;</td></tr>');}
     document.writeln('</table>');
};

function x77392834789333(desc,URL,target,out_img,over_img){
   var mname=this.name+'mi'+this.count;
   if(arguments.length<3||arguments[2]==null){target=this.target;}
   desc=this.htmlBefore+desc+this.htmlAfter;
   this.item+=this.sp_item;
   if(this.layout=='vertical'){this.item+='<tr>';}
     if(browser=="NS4"){this.item+='<td nowrap valign="'+this.valign+'"><ilayer id="'+mname+'clip" z-index="28" visibility="hide">';
     if(arguments.length!=5){this.item+='&nbsp;&nbsp;';}
     this.item+='<a class="'+this.css+'">';
     if(arguments.length==5){this.item+='<img id="'+this.name+'mi_img'+this.count+'clip" src="'+out_img+'" border="0"></a>';}
     else{this.item+=desc+'</a>&nbsp;&nbsp;';}
     this.item+='</ilayer>';
     this.item+='<layer id="'+mname+'" z-index="29" width="300" visibility="hide" ';
     if(this.nbgcolor!='transparent'){this.item+='bgColor="'+this.nbgcolor+'" ';}
     this.item+='onmouseover="mainMenuMouseOver(\''+this.name+'\',\''+this.count+'\',\''+them_state.mmac+'\',\''+this.hbgcolor+'\',\''+over_img+'\')" onmouseout="mainMenuMouseOut(\''+this.name+'\',\''+this.count+'\',\''+this.nbgcolor+'\',\''+out_img+'\')">';
   }
   if(browser=="IE"||browser=="NS6"){
     this.item+='<td onmouseover="mainMenuMouseOver(\''+this.name+'\',\''+this.count+'\',\''+them_state.mmac+'\', \''+this.hbgcolor+'\',\''+over_img+'\')" onmouseout="mainMenuMouseOut(\''+this.name+'\',\''+this.count+'\', \''+this.nbgcolor+'\',\''+out_img+'\')" nowrap valign="'+this.valign+'"><div id="'+mname+'clip" style="position:absolute;width:0;height:0"></div>';
	 this.item+='<div id="'+mname+'" style="padding:'+this.layerpadding+'px">';
   }
   if(arguments.length!=5){this.item+='&nbsp;&nbsp;';}
   this.item+='<a href="'+URL+'" class="'+this.css+'"';
   if(target!=''){this.item+=' target="'+target+'"';}
   if(URL==''){this.item+=' onclick="return false;"';}
   if(arguments.length==5){this.item+='><img id="'+this.name+'mi_img'+this.count+'" src="'+out_img+'" border="0"></a>';}
   else{this.item+='>'+desc+'</a>&nbsp;&nbsp;';}
   if(browser=="NS4"){this.item+='</layer></td>';}
   if(browser=="IE"||browser=="NS6"){this.item+='</div></td>';}
   this.itemArray[this.iac++]=mname;
   if(this.spacing!=0){
     if(this.layout=='vertical'){this.sp_item='<tr><td height="'+this.spacing+'">&nbsp;</td></tr>';}
     if(this.layout=='horizontal'){this.sp_item='<td width="'+this.spacing+'">&nbsp;</td>';}
   }
   if(this.layout=='vertical'){this.item+='</tr>';}
   this.count++;
};

function loadMenu(){
   if(browser=="NS4"){
     for(var i=0;i<them_state.mmac;i++){
	    var menu=them_state.mainmenuArray[i];
		var width=0;var height=0;
		if(menu.layout=='vertical'){
		  for(var j=0;j<menu.iac;j++){
		     if(x5333608(menu.itemArray[j]+'clip')>width){width=x5333608(menu.itemArray[j]+'clip');}
		  }
		}
		for(var j=0;j<menu.iac;j++){
		  if(menu.layout=='horizontal'){width=x5333608(menu.itemArray[j]+'clip');}
		  x44922393(menu.itemArray[j],width);
		  x2826022(menu.itemArray[j],x249884908(menu.itemArray[j]+'clip'));
		  x332921(menu.itemArray[j],x31696754(menu.itemArray[j]+'clip'));
		  x115529526(menu.itemArray[j],true);}
		}
		for(var i=0;i<them_state.smac;i++){
		   var menu=them_state.submenuArray[i];
		   var width=0;
		   for(var j=0;j<menu.iac;j++){
		     if(x5333608(menu.itemArray[j]+'clip',menu.name)>width){width=x5333608(menu.itemArray[j]+'clip',menu.name);
		   }
		}
		x44922393(menu.name,width+2);
		for(var j=0;j<menu.iac;j++){
		   x44922393(menu.itemArray[j],width,menu.name);
		   x2826022(menu.itemArray[j],1,menu.name);
		   x332921(menu.itemArray[j],x31696754(menu.itemArray[j]+'clip',menu.name)-x31696754(menu.name),menu.name);
		}
	 }
   }
};

function mainMenuMouseOver(name,count,mmac,color,img){
   x109665346(name+'mi'+count,color);x158842314();
   if(browser=="NS4"){
     if(x6666261345(name+'sm'+count)){
	   if(them_state.mainmenu_layout[mmac]=="horizontal"){
	     x2826022(name+'sm'+count,x249884908(name+'mi'+count));
		 x332921(name+'sm'+count,x31696754(name+'mi'+count)+x46618711(name+'mi'+count));
	   }
	   if(them_state.mainmenu_layout[mmac]=="vertical"){
	     if(them_state.mainmenu_dirn[mmac]=='right'){
		   x2826022(name+'sm'+count,x249884908(name+'mi'+count)+x5333608(name+'mi'+count));}
		   else{x2826022(name+'sm'+count,x249884908(name+'mi'+count)-x5333608(name+'sm'+count));}
		   x332921(name+'sm'+count,x31696754(name+'mi'+count));
		 }
		 x115529526(name+'sm'+count,true);
	   }
   }
   if(browser=="IE"||browser=="NS6"){
     if(x6666261345(name+'sm'+count)){
	   if(them_state.mainmenu_layout[mmac]=="horizontal"){
	     x2826022(name+'sm'+count,x249884908(name+'mi'+count+'clip'));
		 x332921(name+'sm'+count,x31696754(name+'mi'+count+'clip')+x46618711(name+'mi'+count));
	   }
	   if(them_state.mainmenu_layout[mmac]=="vertical"){
	     if(them_state.mainmenu_dirn[mmac]=='right'){x2826022(name+'sm'+count,x249884908(name+'mi'+count+'clip')+x5333608(name+'mi'+count));}
		 else{x2826022(name+'sm'+count,x249884908(name+'mi'+count+'clip')-x5333608(name+'sm'+count));}
         x332921(name+'sm'+count,x31696754(name+'mi'+count+'clip'));
	   }
	   x115529526(name+'sm'+count,true);
	 }
   }
   if(browser=="NS4"&&img!="undefined"){document.layers[name+'mi'+count].document.images[0].src=img;}
   if((browser=="IE"||browser=="NS6")&&document.images[name+'mi_img'+count]){document.images[name+'mi_img'+count].src=img;}
   them_state.menuActive=true;
};

function mainMenuMouseOut(name,count,color,img){
   x109665346(name+'mi'+count,color);
   them_state.menuActive=false;
   if(browser=="NS4"&&img!="undefined"){document.layers[name+'mi'+count].document.images[0].src=img;}
   if((browser=="IE"||browser=="NS6")&&document.images[name+'mi_img'+count]){document.images[name+'mi_img'+count].src=img;}
};

function subMenu(menuName,nbgcolor,hbgcolor,bgimage){
   them_state.submenuArray[them_state.smac++]=this;
   this.itemArray=new Array(30);
   this.iac=0;
   if(arguments.length>=2){this.nbgcolor=nbgcolor;}
   else{this.nbgcolor="black";}
   if(arguments.length>=3){this.hbgcolor=hbgcolor;}
   else{this.hbgcolor="black";}
   if(arguments.length>=4){this.bgimage=bgimage;this.nbgcolor='transparent';}
   else{this.bgimage=null;}
   this.css="thesubmenu";
   this.name="the"+them_state.mmac+"sm"+menuName;
   this.count=1;
   this.item='';
   this.htmlBefore='';
   this.htmlAfter='';
   this.cellpadding=1;
   this.target='';
   this.writeMenu=x99132064918;
   this.addItem=x9743674607299;
   this.addItems=addItems;
   this.addItemsWithTarget=addItemsWithTarget;
};

function x99132064918(){
   if(browser=="NS4"){
     document.writeln('<layer id="'+this.name+'" class="'+this.css+'" ');
	 if(this.nbgcolor!='transparent'){document.writeln('bgColor="'+this.nbgcolor+'" ');}
	 if(this.bgimage!=null){document.writeln('background="'+this.bgimage+'" ');}
	 document.writeln('visibility="hide" z-index="30" onmouseout="them_state.menuActive=false;" onmouseover="them_state.menuActive=true;"><layer visibility="hide"></layer><table border="0" cellspacing="0" cellpadding="'+this.cellpadding+'">');
	 document.writeln(this.item);document.writeln('</table></layer>');
   }
   if(browser=="IE"||browser=="NS6"){
     document.writeln('<div id="'+this.name+'" class="'+this.css+'" style="position:absolute;visibility:hidden;background-color:'+this.nbgcolor+';z-index:30" onmouseout="them_state.menuActive=false;" onmouseover="them_state.menuActive=true;">');
     document.writeln('<table border="0" cellspacing="0" cellpadding="'+this.cellpadding+'" ');
	 if(this.bgimage!=null){document.writeln('background="'+this.bgimage+'" ');}
	 document.writeln('id="'+this.name+'table" class="'+this.css+'">'+this.item+'</table></div>');
   }
   if(browser=="NS6"||(browser=="IE"&&version==4)){x44922393(this.name,x5333608(this.name+'table'));}
};

function x9743674607299(desc,URL,target){
   if(arguments.length<3){target=this.target;}
   desc=this.htmlBefore+desc+this.htmlAfter;
   var mname=this.name+'itm'+this.count;
   if(browser=="NS4"){
     this.item+='<tr><td valign="middle" nowrap>';
	 this.item+='<ilayer z-index="29" id="'+mname+'clip" visibility="hide">&nbsp;&nbsp;<a class="'+this.css+'">'+desc+'</a>&nbsp;&nbsp;</ilayer>';
     this.item+='<layer z-index="30" id="'+mname+'" ';
	 if(this.nbgcolor!='transparent'){this.item+='bgColor="'+this.nbgcolor+'" ';}
	 this.item+='width="350" onmouseover="subMenuMouseOver(\''+this.name+'\',\''+this.count+'\',\''+this.hbgcolor+'\',\''+them_state.mmac+'\')" onmouseout="subMenuMouseOut(\''+this.name+'\',\''+this.count+'\',\''+this.nbgcolor+'\')">&nbsp;&nbsp;<a href="'+URL+'" class="'+this.css+'"';
	 if(target!=''){this.item+=' target="'+target+'"';}
	 if(URL==''){this.item+=' onclick="return false;"';}
	 this.item+='>'+desc+'</a>&nbsp;&nbsp;</layer>';
	 this.item+='</td></tr>';this.itemArray[this.iac++]=mname;
   }
   if(browser=="IE"||browser=="NS6"){
     this.item+='<tr><td valign="middle" nowrap onmouseover="subMenuMouseOver(\''+this.name+'\', \''+this.count+'\',\''+this.hbgcolor+'\',\''+them_state.mmac+'\')" onmouseout="subMenuMouseOut(\''+this.name+'\', \''+this.count+'\',\''+this.nbgcolor+'\')"><div id="'+mname+'clip" style="position:absolute;width:0;height:0"></div>';
	 this.item+='<div id="'+mname+'" style="padding:1px">&nbsp;&nbsp;<a href="'+URL+'" class="'+this.css+'"';
	 if(target!=''){this.item+=' target="'+target+'"';}
     if(URL==''){this.item+=' onclick="return false;"';}
     this.item+='>'+desc+'</a>&nbsp;&nbsp;</div></td></tr>';
   }
   this.count++;
};

function subMenuMouseOver(name,count,color,mmac){
   for(var i=0;i<them_state.smac;i++){
      if(them_state.submenuArray[i].name!=name){
	    var tmp_name=name+'i'+count;
		if(tmp_name.indexOf(them_state.submenuArray[i].name)==-1){x115529526(them_state.submenuArray[i].name,false);}
	  }
   }
   x109665346(name+'itm'+count,color,name);
   if(browser=="NS4"){
     if(x6666261345(name+'i'+count)){
	   if(them_state.mainmenu_dirn[mmac]=='right'){x2826022(name+'i'+count,x249884908(name)+x5333608(name));}
	   else{x2826022(name+'i'+count,x249884908(name)-x5333608(name+'i'+count));}
	   x332921(name+'i'+count,x31696754(name+'itm'+count,name));
	 }
   }
   if(browser=="IE"||browser=="NS6"){
     if(x6666261345(name+'i'+count)){
	   if(them_state.mainmenu_dirn[mmac]=='right'){x2826022(name+'i'+count,x265748(name)+x5333608(name));}
	   else{x2826022(name+'i'+count,x265748(name)-x5333608(name+'i'+count));}
	   if(browser=="IE"){x332921(name+'i'+count,x31696754(name)+x31696754(name+'itm'+count+'clip'));}
	   if(browser=="NS6"){x332921(name+'i'+count,x31696754(name+'itm'+count+'clip'));}
	 }
   }
   x115529526(name+'i'+count,true);
   them_state.menuActive=true;
};

function subMenuMouseOut(name,count,color){
   x109665346(name+'itm'+count,color,name);
};

function addItems(){
   for(var i=0;i<arguments.length;i+=2){this.addItem(arguments[i],arguments[i+1]);}
};

function addImages(){
   for(var i=0;i<arguments.length;i+=3){this.addItem(null,arguments[i],null,arguments[i+1],arguments[i+2]);}
};

function addImagesWithTarget(){
   for(var i=0;i<arguments.length;i+=4){this.addItem(null,arguments[i],arguments[i+1],arguments[i+2],arguments[i+3]);}
};

function addItemsWithTarget(){
   for(var i=0;i<arguments.length;i+=3){this.addItem(arguments[i],arguments[i+1],arguments[i+2]);}
};

function x158842314(){
   if(!them_state.menuActive){
     for(var i=0;i<them_state.smac;i++){x115529526(them_state.submenuArray[i].name,false);}
   }
};

function displayMenu(){
   for(var i=them_state.mmcp;i<them_state.mmac;i++){them_state.mainmenuArray[i].writeMenu();}
   them_state.mmcp=them_state.mmac;
   for(var i=them_state.smcp;i<them_state.smac;i++){them_state.submenuArray[i].writeMenu();}
   them_state.smcp=them_state.smac;
   setInterval("x158842314()",300);
};

function x22502(){
   if(browser=='NS4'&&origWidth==window.innerWidth&&origHeight==window.innerHeight){return;}
};

function regenerate(){window.location.reload();};

function regenerate2(){
   if (document.layers){
     setTimeout("window.onresize=regenerate",450);
     intializemarquee();
   }
};

function intializemarquee(){
   document.cmarquee01.document.cmarquee02.document.write('<nobr>'+marqueecontents+'</nobr>');
   document.cmarquee01.document.cmarquee02.document.close();
   thelength=document.cmarquee01.document.cmarquee02.document.width;
   scrollit();
};

function scrollit(){
   if (document.cmarquee01.document.cmarquee02.left>=thelength*(-1)){
     document.cmarquee01.document.cmarquee02.left-=speed;
     setTimeout("scrollit()",100);
   }
   else{
     document.cmarquee01.document.cmarquee02.left=marqueewidth;
     scrollit();
   }
};


function onLoadPage(){
  regenerate2();
  loadMenu();
}

